<?php
function showPaso2(){
require_once("color/lib.php");
require_once("color/Matriz.php");
require_once("color/metodos.php");



	$mipaso=new API();
	$color0=substr($mipaso->getData("color1"),1,6);
	$color1=substr($mipaso->getData("color2"),1,6);
	$color2=substr($mipaso->getData("color3"),1,6);
	


$color[0]=$color0;
$color[1]=$color1;
$color[2]=$color2;
$color[3]=Opuesto($color0);
$color[4]=Opuesto($color1);
$color[5]=Opuesto($color2);
	$result=Triada($color0);
$color[6]=$result[0];	
$color[7]=$result[1];
	$result=Triada($color1);
$color[8]=$result[0];	
$color[9]=$result[1];	
	$result=Triada($color2);
$color[10]=$result[0];	
$color[11]=$result[1];		
	$result=Monocromo($color0);
$color[12]=$result[0];
$color[13]=$result[1];
	$result=Monocromo($color1);
$color[14]=$result[0];
$color[15]=$result[1];
	$result=Monocromo($color2);
$color[16]=$result[0];
$color[17]=$result[1];
$n=18;
$divs=$mipaso->getDivs();


Matriz(17,$color);

$contenido='<div class="muestra"> <div class="name">Body :</div>';

				for($i=0;$i<$n;$i++){
					$js="cambiaColor('#".$color[$i]."','body'); return false";
					$contenido.='<a href="#" onclick="'.$js.'"><div class="color" style="background-color:#'.$color[$i].'">	</div></a>';
				}	
				
$contenido.='<input name="id'.$divs[0].'" type="hidden" value="'.$color[0].'" id="id'.$divs[0].'">';			
$contenido.='</div>';

$x=1;
while($divs[$x]!=''){
		$contenido.='<div class="muestra"> <div class="name">'.$divs[$x].'</div>';
		for($i=0;$i<$n;$i++){
			$destino=$divs[$x];

			$js="color('#".$color[$i]."','".$destino."'); return false";
		
			$contenido.='<a href="#" onclick="'.$js.'"><div class="color" style="background-color:#'.$color[$i].'"></div></a>';
		}				
		$contenido.='<input name="id'.$divs[$x].'" type="hidden" value="'.$color[0].'" id="id'.$divs[$x].'">';	
		$contenido.='</div>';			
		$x++;
}




	$mipaso->setScript('<script src="step/s2/js/script.js" type="text/javascript"></script>');
	$mipaso->setCSS('../step/s2/interface/estilo.css');
	$datos['color']=$contenido;
	$contenido=$mipaso->template("step/s2/interface/index.html",$datos);
	$mipaso->setStep($contenido);
	
	return $mipaso->printweb($datos);
}
?>